--COMBAT_LOG_EVENT_UNFILTERED
function(event, ...)
	--local GSA_TYPE = {
	--	[COMBATLOG_FILTER_EVERYTHING] = ["Any"],
	--	[COMBATLOG_FILTER_FRIENDLY_UNITS] = ["Friendly"],
	--	[COMBATLOG_FILTER_HOSTILE_PLAYERS] = ["Hostile player"],
	--	[COMBATLOG_FILTER_HOSTILE_UNITS] = ["Hostile unit"],
	--	[COMBATLOG_FILTER_NEUTRAL_UNITS] = ["Neutral"],
	--	[COMBATLOG_FILTER_ME] = ["Myself"],
	--	[COMBATLOG_FILTER_MINE] = ["Mine"],
	--	[COMBATLOG_FILTER_MY_PET] = ["My pet"],
	--	[COMBATLOG_FILTER_UNKNOWN_UNITS] = "Unknow unit",
	--}
	local timestamp,event,hideCaster,sourceGUID,sourceName,sourceFlags,sourceFlags2,destGUID,destName,destFlags,destFlags2,spellID,spellName= select ( 1 , ... )
	local desttype = {}
	--if not GSA_EVENT[event] then return end	
	if (destFlags) then
		print("owo whats this 111111")
		--for k in pairs(GSA_TYPE) do
			print("owo whats this 222222")
			desttype[#desttype + 1] = CombatLog_Object_IsA(destFlags,k)
			print(CombatLog_Object_IsA(destFlags,COMBATLOG_FILTER_ME))
			print("owo whats this 333333")
			--log("desttype:"..k.."="..(desttype[k] or "nil"))
		--end
	else
		--for k in pairs(GSA_TYPE) do
			print("owo whats this 444444")
			desttype[k] = nil
		--end
	end
	--if (event == "SPELL_AURA_APPLIED" and desttype[COMBATLOG_FILTER_HOSTILE_PLAYERS] and (not gsadb.aonlyTF or destuid.target or destuid.focus) and not gsadb.aruaApplied) then
	--	self:PlaySpell("auraApplied", spellID, sourceGUID, destGUID);
	--elseif (event == "SPELL_AURA_REMOVED" and desttype[COMBATLOG_FILTER_HOSTILE_PLAYERS] and (not gsadb.ronlyTF or destuid.target or destuid.focus) and not gsadb.auraRemoved) then
	--	self:PlaySpell("auraRemoved", spellID, sourceGUID, destGUID)
	--elseif (event == "SPELL_CAST_START" and sourcetype[COMBATLOG_FILTER_HOSTILE_PLAYERS] and (not gsadb.conlyTF or sourceuid.target or sourceuid.focus) and not gsadb.castStart) then
	--	self:PlaySpell("castStart", spellID, sourceGUID, destGUID)
	--elseif ((event == "SPELL_CAST_SUCCESS" or event == "SPELL_SUMMON") and sourcetype[COMBATLOG_FILTER_HOSTILE_PLAYERS] and (not gsadb.sonlyTF or sourceuid.target or sourceuid.focus) and not gsadb.castSuccess) then
end